### A free/open-source library for quantitative finance

ql/pricingengines/vanilla/fdsimplebsswingengine.hpp File Reference

Finite Differences Ornstein Uhlenbeck plus exponential jumps engine for vanilla options. More...

`#include <ql/pricingengine.hpp>`
`#include <ql/instruments/vanillaswingoption.hpp>`
`#include <ql/methods/finitedifferences/solvers/fdmbackwardsolver.hpp>`
Include dependency graph for fdsimplebsswingengine.hpp:

## Detailed Description

Finite Differences Ornstein Uhlenbeck plus exponential jumps engine for vanilla options.

Finite Differences Black-Scholes engine for simple swing options.